<odoo>

<record id="kalachakra_mailing_list_view_form" model="ir.ui.view">
        <field name="name">mailing_list.view.form.inherit.kalachakra</field>
        <field name="model">mailing.list</field>
        <field name="inherit_id" ref="mass_mailing.mailing_list_view_form" />
        <field name="arch" type="xml">
        <xpath expr="//div[@class='oe_button_box']" position="inside">
        <button name="create_sendinblue_list" string="Create sendinblue list"
             attrs="{'invisible': [('id_sendinblue_list', '!=', 0)]}" type="object" icon="fa-user" class="oe_stat_button">
        </button>
  
        </xpath>
        <xpath expr="//field[@name='is_public']" position="before">
        <field name="id_sendinblue_list"/>
        </xpath>
        </field>
</record>

<record id="kalachakra_mailing_list_view_tree" model="ir.ui.view">
        <field name="name">mailing_list.view.tree.inherit.kalachakra</field>
        <field name="model">mailing.list</field>
        <field name="inherit_id" ref="mass_mailing.mailing_list_view_tree" />
        <field name="arch" type="xml">
        <xpath expr="//field[@name='name']" position="after">
        <field name="id_sendinblue_list"/>
        </xpath>
        </field>
</record> 

</odoo>